import { SetStateAction } from 'react';
export declare function useStateObject<T extends object>(initialState: T): {
    state: T;
    actions: InternalActions<T> & {
        set: (state: SetStateAction<T> | Partial<T>) => void;
    };
};
type InternalActions<T> = {
    [Property in keyof T as `set${Capitalize<Property & string>}`]: (value: T[Property]) => void;
};
export {};
